v1.0.0
OpenAPI 3.1.0

Get a message

US region

Client Libraries

Get a message

Return a information about, and metrics for, a delivery—the instance of a message intended for an individual recipient person.

Path Parameters
  • message_id
    Type: string
    required

    The identifier of a message.

Query Parameters
  • get_tracked_responses
    Type: boolean

    If true, the response includes tracked_responses for each message—an object containing tracked response option names for in-app survey responses.

Responses
  • application/json
  • 404

    The message does not exist.

  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/messages/{message_id}
curl 'https://api.customer.io/v1/messages/{message_id}?get_tracked_responses=false' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "message": {
    "id": "ag1q6QWq6QUBAAF4_CGoeVX7mFkDbRFu7ek=",
    "deduplicate_id": "ag1q6QWq6QUBAAF4_CGoeVX7mFkDbRFu7ek=:1619137768",
    "msg_template_id": 43,
    "action_id": 215,
    "parent_action_id": null,
    "customer_id": null,
    "recipient": "person@example.com",
    "subject": "Did you get that thing I sent you?",
    "metrics": {
      "delivered": 1619137768,
      "sent": 1619137768
    },
    "created": 1619137767,
    "failure_message": null,
    "newsletter_id": null,
    "content_id": null,
    "campaign_id": 23,
    "broadcast_id": null,
    "trigger_event_id": null,
    "type": "email",
    "forgotten": false
  }
}